Subject: Re: [PATCH 1/4] maple: match "pcie" name for CPC945

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 13 Dec 2006 09:26:46 +1100

On Mon, 2006-12-11 at 16:38 -0600, Nathan Lynch wrote:
> Segher Boessenkool wrote:
> > >Some firmwares have "pcie" for the "name" property of the CPC945 PCI
> > >Express host bridge.  Check for "pcie" in addition to "pci" so we
> > >don't miss it.
> > 
> > You shouldn't use "name" but "device_type" and "compatible".
> 
> Like this?
> 
> (Hmm, does the u3-agp on maple have "pci" for device_type?)

I hope so...

There are plenty bits of code in the kernel that _assume_ that
device_type is PCI for PHB's and P2P bridges, wether they are PCI, PCI-X
or PCIe. prom_parse.c is one, but there is more.

Ben.